petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscOptionsGetScalar

Gets the scalar value for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetScalar(PetscOptions options,const char pre[],const char name[],PetscScalar *dvalue,PetscBool  *set)

Not Collective

### Input Parameters

| options | - options database use NULL for default global database
| pre | - string to prepend to each name or NULL
| name | - the option one is seeking

### Output Parameter

| dvalue | - the double value to return
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Usage

A complex number 2+3i must be specified with NO spaces

Note: if the option is given but no value is provided then set is given the value PETSC_FALSE

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex58.c.html
src/ts/examples/tutorials/ex21.c.html